<div id="page-header" class="jumbotron-fluid">
  <div class="container-fluid">
    <div>
      <app-particles></app-particles>
    </div>
    <nav class="navbar fixed-top navbar-dark navbar-expand-lg flex-md-row">
  
      <button class="navbar-toggler hidden-sm-up" type="button" (click)="isNavbarCollapsed = !isNavbarCollapsed"
        data-target="#navbarsDefault" aria-controls="navbarsDefault" aria-expanded="false"
        aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div [ngbCollapse]="isNavbarCollapsed" class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav col">
          <li class="nav-item">
              <a class="nav-link" [routerLink]="['/home']" routerLinkActive="active">
                <i class="fa fa-home fa-lg" aria-hidden="true"></i>
                Home
              </a>
          </li>
          <li class="nav-item active">
            <a class="nav-link" [routerLink]="['/posts']" routerLinkActive="active">
              <i class="fas fa-file-alt"></i>&nbsp;&nbsp;Posts</a>
          </li>
          <li class="nav-item active">
            <a class="nav-link" [routerLink]="['/members']" routerLinkActive="active">
              <i class="fas fa-users"></i>&nbsp;&nbsp;Members</a>
          </li>
        </ul>

        <div class="navbar-nav" *ngIf="!this.isLoggedIn">
          <a class="nav-link active" [routerLink]="['/users/registration']" routerLinkActive="active"><i class="fas fa-edit"></i> Register </a>
          <a class="nav-link active" [routerLink]="['/users/login']" routerLinkActive="active"><i class="fas fa-sign-in-alt"></i> Login </a>
        </div>
        <div class="navbar-nav ml-md-auto btn-group align-middle" *ngIf="this.isLoggedIn">
          <app-member-logged></app-member-logged>
          <a class="nav-link active" style="cursor:pointer;" (click)="triggerLogout()">
              <i class="fas fa-sign-out-alt"></i>&nbsp;Logout
          </a>
        </div>
      </div>
    </nav>
    <div class="navbar-nav row">
      <h1 id="centralTitle" class="col d-flex justify-content-center display-4 p-3 mt-5"><a class="nav-link" [routerLink]="['/home']">FORUM YES</a></h1>
    </div>
    <div class="row">
      <p class="col-md-4 offset-md-4 text-center">A place for open communication</p>
      <app-search-bar class="col-md-4 offset-md-4 mt-4" [searchCallback]="this.searchCallback"></app-search-bar>
    </div>
  </div>
</div>




<!-- "{{authService.user().image}}" -->
